<?php

namespace App\Controller\Web;

class SalesController
{
    /**
     * $config.
     *
     * @var array
     */
    protected $config;

    public function __construct()
    {
        $this->config = config('sales');
    }

    /**
     * 首頁
     */
    public function index()
    {
        // 分類
        // $class = \DB::table($this->config['class_table'])->where([['act', 1], ['del', 0]])->orderBy('class_id', 'asc')->orderBy('no', 'desc')->orderBy('id', 'asc')->get(['id', 'class_id', 'name']);

        // $news_class = $class->keyBy('id');
        // $news_class_tree = $class->groupBy('class_id');

        // 頁數
        $page = \Request::query('page', 1);
        $page_show = 12;

        // 預設
        // empty($level_1_class_id) and $level_1_class_id = $news_class_tree[0][0]['id'];

        // // 判斷存在以及檢查是否為正確父子關係
        // if (!isset($news_class[$level_1_class_id])) {
        //     $level_1_class_id = null;
        // }

        // Data
        $news = \DB::table($this->config['table'])
                   // ->select('id', 'class_id', 'name', 'date')
		           ->where([['class_id', 0], ['act', 1], ['del', 0]])
		           ->orderBy('no', 'desc')
		           ->orderBy('date', 'desc')
		           ->orderBy('id', 'desc')
		           ->paginate($page_show, ['*'], 'page', $page)
		           ->withPath(base_path(\Request::path()))
		           ->appends(\Request::query());
                   // ->get();

        $view = \View::make("web.{$this->config['folder']}.index", compact('news', 'news_class', 'news_class_tree', 'level_1_class_id'))->render();

        return \Response::create($view)->send();
    }

    /**
     * 資料內頁
     */
    public function detail( $id)
    {
        // 分類
        // $class = \DB::table($this->config['class_table'])->where([['act', 1], ['del', 0]])->orderBy('no', 'desc')->orderBy('id', 'asc')->get(['id', 'class_id', 'name']);

        // $news_class = $class->keyBy('id');
        // $news_class_tree = $class->groupBy('class_id');

        // Data
        $news = \DB::table($this->config['table'])
		           ->where([['id', $id], ['act', 1], ['del', 0]])
		           ->first();

        // if (!isset($news_class[$level_1_class_id])) {
        //     return redirect(\Session::get('lang').'/'.'news')->withErrors('無此筆資料')->send();
        // } elseif (empty($news) || !($news['class_id'] == $level_1_class_id)) {
        //     return redirect(\Session::get('lang').'/'."news/{$level_1_class_id}")->withErrors('無此筆資料')->send();
        // }

         if (empty($news) ) {
            return redirect(\Session::get('lang').'/'."sales/{$level_1_class_id}")->withErrors('無此筆資料')->send();
        }
        $view = \View::make("web.{$this->config['folder']}.detail", compact('news', 'news_class', 'news_class_tree', 'level_1_class_id'))->render();

        return \Response::create($view)->send();
    }
    public function ajax_pics_get($pid)
    {
        
        $data = \DB::table($this->config['table'])
                   ->where([['id',$pid],['del',0],['act',1]])
                   ->orderBy('no', 'desc')
                   ->orderBy('id', 'asc')
                   ->first();
        $pics = \DB::table($this->config['pics_table'])->where([['pid', $pid], ['del', 0]])->orderBy('no', 'desc')->orderBy('id', 'asc')->get();   
             
        $view = \View::make("web.{$this->config['folder']}.album", compact('data','pics'))->with('config', $this->config)->render();

        // return \JsonResponse::create(['html' => $html])->send();

        return \Response::create($view)->send();
    }
}