@extends('web.includes.layout',[
'page_title' => '聯絡我們 - ',
'main_id' => 'contact',
'seo' => false,
'seo_description' => '',
'seo_image'=> '',
'seo_type' => 'website',
])


@push('head')

@endpush
@push('script')

@endpush

@section('main')

<div id="inner-banner" class="ani" data-ani="fadeIn">
    <div class="pic cover">
        <span><img src="{{ resources_path() }}_img/contact/banner.jpg" alt=""></span>
    </div>
</div>

<article>
    <section id="contact-section" class="py-5">
        <div class="container">
            <div class="row align-items-stretch">
                <div class="contact-info-row col-md-5 d-none d-md-block">
                    <div class="bg-primary p-5">
                        <img src="{{ resources_path() }}_img/layout/logo_text.png" alt="" class="mb-8">
                        <div class="info-row text-white mb-8">
                            <div class="head">
                                <div class="border rounded py-1 px-3 mr-4 d-inline-block">台灣</div>
                            </div>
                            <div class="info">
                                <ul class="contact-list">
                                    <li class="contact-item my-3">
                                        <i class="fas fa-phone fs-14 mr-2"></i>
                                        <span class="t"><a href="tel:04-25603535" target="_blank">04-25603535</a></span>
                                    </li>
                                    <li class="contact-item my-3">
                                        <i class="fas fa-fax fs-14 mr-2"></i>
                                        <span class="t">04-25609190</span>
                                    </li>
                                    <li class="contact-item my-3">
                                        <i class="fas fa-home fs-14 mr-2"></i>
                                        <span class="t"><a href="http://maps.google.com.tw/maps?q=台中市大雅區秀山十一路82號&hl=zh-TW" target="_blank">台中市大雅區秀山十一路82號</a></span>
                                    </li>
                                    <li class="contact-item my-3">
                                        <i class="fas fa-envelope fs-14 mr-2"></i>
                                        <span class="t"><a href="mailto:blackweat@gmail.com" target="_blank">blackweat@gmail.com</a></span>
                                    </li>
                                </ul>
                            </div>
                        </div>
                        <div class="info-row text-white mb-8">
                            <div class="head">
                                <div class="border rounded py-1 px-3 mr-4 d-inline-block">中國</div>
                            </div>
                            <div class="info">
                                <ul class="contact-list">
                                    <li class="contact-item my-3">
                                        <i class="fas fa-phone fs-14 mr-2"></i>
                                        <span class="t"><a href="tel:+860769-23185671" target="_blank">0769-23185671</a></span>
                                    </li>
                                    <li class="contact-item my-3">
                                        <i class="fas fa-fax fs-14 mr-2"></i>
                                        <span class="t">0769-23186345</span>
                                    </li>
                                    <li class="contact-item my-3">
                                        <i class="fas fa-home fs-14 mr-2"></i>
                                        <span class="t"><a href="http://maps.google.com.tw/maps?q=廣東省東莞市南城區星鵬商務大廈A座10B&hl=zh-TW" target="_blank">廣東省東莞市南城區星鵬商務大廈A座10B</a></span>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="contact-form-row col-md-6 ml-auto">
                    <div class="fs-18 text-primary2 text-center mb-4">
                        歡迎與我們洽詢相關產品資訊，<br>
                        將有專人與您聯繫。
                    </div>
                    <form action="" method="post" id="contact_form" class="form">
                 @csrf
                        <div class="form-row">
                            <div class="col-6">
                                <div class="form-group">
                                    <input type="text" id="name" name="name" class="form-control" placeholder=" ">
                                    <label for="name" class="col-form-label">聯絡人 /</label>
                                </div>
                            </div>
                            <div class="col-6">
                                <div class="form-group">
                                    <input type="text" id="tel" name="tel" class="form-control" placeholder=" ">
                                    <label for="tel" class="col-form-label">電話 /</label>
                                </div>
                            </div>
                            <div class="col-12">
                                <div class="form-group">
                                    <input type="text" id="company" name="company" class="form-control" placeholder=" ">
                                    <label for="company" class="col-form-label">公司名稱 /</label>
                                </div>
                            </div>
                            <div class="col-12">
                                <div class="form-group">
                                    <input type="text" id="mail" name="email" class="form-control" placeholder=" ">
                                    <label for="mail" class="col-form-label">E-Mail /</label>
                                </div>
                            </div>
                            <div class="col-12">
                                <div class="form-group">
                                    <input type="text" id="country" name="country" class="form-control" placeholder=" ">
                                    <label for="country" class="col-form-label">國家 /</label>
                                </div>
                            </div>
                            <div class="col-12">
                                <div class="form-group">
                                    <select name="subject" id="inquire-subject" class="custom-select form-control">
                                        @foreach($options as $v)
                                        <option value="{{$v['name']}}">{{$v['name']}}</option>
                                        @endforeach
                                    </select>
                                    <label for="inquire-subject" class="col-form-label">詢問主題 /</label>
                                </div>
                            </div>
                            <div class="col-12">
                                <div class="form-group">
                                    <textarea name="info" id="message" cols="30" rows="10" class="form-control" placeholder=" "></textarea>
                                    <label for="message" class="col-form-label">詢問內容 /</label>
                                </div>
                            </div>
                        </div>
                        <div class="row justify-content-between">
                            <div class="col-auto">
                                <div class="google-auth d-inline-block"></div>
                            </div>
                            <div class="col-auto">
                                <button  onclick="validate('#contact_form', 'contact.rule', 'contact.rule_message', 'contact'); return false;" class="more-btn btn btn-outline-primary rounded-0 px-4 py-2">
                                    <span class="t">送出</span>
                                    <i class="fas fa-paper-plane fs-20 align-middle ml-2"></i>
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </section>
</article>




@endsection